// ============================================================
// Project				:	CityRPG
// Author				:	Iban
// Description			:	Code that operates the Campaign GUI.
// ============================================================

// ============================================================
// Section 1 : Object Initiation
// ============================================================
while(isObject(CRPG_Campaign))
{
	CRPG_Campaign.delete();
}

exec($CRPG_CL::Path @ "guis/campaign.gui");

// ============================================================
// Section 2 : Functions
// ============================================================
function adjustCityRPGCampaign(%level, %required) {
	CRPG_Campaign_Level.setValue("<just:center>Level" SPC %level);
	CRPG_Campaign_MoneyRequired.setValue("<just:center>$" @ %required SPC "to Upgrade");
}
function CRPG_Campaign::upgrade(%gui) {
	commandToServer('Campaign_Upgrade');
}
